Bug Hunting Session
Bug 49508 - slideshow does not render square gradients correctly
Summary: slideshow does not render square gradients correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard: target:3.6.0 target:3.5.4 target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-04 12:48 UTC by Thorsten Behrens (CIB)
Modified: 2013-06-18 17:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
bugdoc (14.25 KB, application/vnd.oasis.opendocument.presentation)
2012-05-04 12:48 UTC, Thorsten Behrens (CIB)
Details
Testcases for gradient style type square (16.52 KB, application/vnd.oasis.opendocument.presentation)
2012-08-11 22:33 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Behrens (CIB) 2012-05-04 12:48:02 UTC
See attached bugdoc - start slideshow, on Linux, disable h/w acceleration - both gradients are rendered the same (cairocanvas renders them incorrectly, independently - that'll be dealt with in another bug).
Comment 1 Thorsten Behrens (CIB) 2012-05-04 12:48:43 UTC
Created attachment 61045 [details]
bugdoc
Comment 2 Thorsten Behrens (CIB) 2012-05-04 12:49:25 UTC
Reason was basegfx ignoring aspect ratio for rect/square case. Ellipse/Circle is correct.
Comment 3 Not Assigned 2012-05-04 13:01:22 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f7d3567c1bf6c9d77aa13a890610fb77c1545d9b

Fix fdo#49508 incorrect square gradients in slideshow.
Comment 4 Not Assigned 2012-05-08 02:12:03 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3ee7a8a463af1fde6ed0da91abb654b25a3ecd9&g=libreoffice-3-5

Fix fdo#49508 incorrect square gradients in slideshow.


It will be available in LibreOffice 3.5.4.
Comment 5 Regina Henschel 2012-08-11 22:33:49 UTC
Created attachment 65445 [details]
Testcases for gradient style type square

I use LibreOffice 3.6.0 and the bug is not fixed.
(1) The style type "square" is not square.
(2) Die Presentation is different (and correctly square) for small step numbers.

Please open the file in OOo3.2 to see, that a square gradient is really square in all cases. (If someone want it similar to Microsoft PowerPoint he has to use the type rectangle, not type square.)
Comment 6 Commit Notification 2013-05-12 14:45:10 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ed43421545c86f85b5fc4b9a33be077748fb8487

Resolves: fdo#49508# #i120539# Fixed visualisation of gradient 'square'



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Thorsten Behrens (CIB) 2013-06-18 17:00:48 UTC
Looks fixed to me, kudos to Armin for the patch.